# Class PrivateKeyCallback.DigestRequest

java.lang.Object
jakarta.security.auth.message.callback.PrivateKeyCallback.DigestRequest

All Implemented Interfaces:
  `PrivateKeyCallback.Request`

Enclosing class:
  `PrivateKeyCallback`

public static class PrivateKeyCallback.DigestRequest extends Object implements PrivateKeyCallback.Request
A request to retrieve a certificate chain and private key by certificate digest value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DigestRequest(byte[] digest, String algorithm)`
  Creates a new `DigestRequest` with the specified digest value and digest algorithm.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAlgorithm()`
  Returns the digest algorithm used for this request.
  `byte[]`
  `getDigest()`
  Returns the digest value for this request.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DigestRequest

    public DigestRequest(byte[] digest, String algorithm)
    Creates a new `DigestRequest` with the specified digest value and digest algorithm.
    Parameters:
      `digest` - the digest value of the desired certificate
      `algorithm` - the digest algorithm used to produce the digest

- ## Method Details

  - ### getDigest

    public byte[] getDigest()
    Returns the digest value for this request.
    Returns:
      the digest byte array

  - ### getAlgorithm

    public String getAlgorithm()
    Returns the digest algorithm used for this request.
    Returns:
      the algorithm name